Katello - Bug #6985

Can't delete an org if it has a published content view: can't modify frozen Hash
08/07/2014 11:07 AM - Partha Aji

Status: Closed
Priority: Normal
Assignee: David Davis
Category: Web Ul
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1127747 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/454
5
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1127747
Getting this error:

Could not delete the organization:
can't modify frozen Hash

Basically, create a content view with puppet modules, publish it, and promote it to some environments. They try to delete the org.

Associated revisions

Revision 58e2ca06 - 08/07/2014 12:08 PM - David Davis
Fixes #6985,BZ21127747 - Reusing CVEnv action in org destroy
Reusing the ContentViewEnvironment::Destroy action in Organization::Destroy

since the action was updated without Organization::Destroy being also updated.
This'll ensure future updates won't break org destroy.

Revision 4c5e2d11 - 08/11/2014 11:51 AM - David Davis
Merge pull request #4545 from daviddavis/temp/20140807112451

Fixes #6985,BZ21127747 - Reusing CVEnv action in org destroy

History

#1 - 08/07/2014 11:24 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/katello/pull/4545 added
- Pull request deleted ()

#2 - 08/07/2014 03:51 PM - Eric Helms
- Triaged changed from No to Yes

#3 - 08/11/2014 12:01 PM - David Davis
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|58e2ca067a78e59d20229¢890a1877d30843b343.

#4 - 08/22/2014 09:25 AM - Eric Helms

- translation missing: en.field_release set to 13
